MWAWParserState Class Reference documentation

Public Types | Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWParserState Class Reference

a class to define the parser state More...

`#include <MWAWParser.hxx>`

## Public Types
enum | Type { Graphic, Presentation, Spreadsheet, Text }
| the parser state type More...

## Public Member Functions
| MWAWParserState (Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| Constructor. More...
| ~MWAWParserState ()
| destructor More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...

## Public Attributes
Type | m_type
| the state type More...
MWAWDocument::Kind | m_kind
| the document kind More...
MWAWInputStreamPtr | m_input
| the input More...
MWAWHeader * | m_header
| the header More...
MWAWRSRCParserPtr | m_rsrcParser
| the resource parser More...
MWAWPageSpan | m_pageSpan
| the actual document size More...
MWAWFontConverterPtr | m_fontConverter
| the font converter More...
MWAWFontManagerPtr | m_fontManager
| the font manager More...
MWAWGraphicListenerPtr | m_graphicListener
| the graphic listener More...
MWAWListManagerPtr | m_listManager
| the list manager More...
MWAWPresentationListenerPtr | m_presentationListener
| the presentation listener More...
MWAWSpreadsheetListenerPtr | m_spreadsheetListener
| the spreadsheet listener More...
MWAWTextListenerPtr | m_textListener
| the text listener More...
int | m_version
| the actual version More...
libmwaw::DebugFile | m_asciiFile
| the debug file More...

## Private Member Functions
| MWAWParserState (MWAWParserState const &orig)=delete
MWAWParserState & | operator= (MWAWParserState const &orig)=delete

## Detailed Description

a class to define the parser state

## Member Enumeration Documentation

## ◆ Type

enum MWAWParserState::Type

the parser state type

Enumerator
Graphic |
Presentation |
Spreadsheet |
Text |

## Constructor & Destructor Documentation

## ◆ MWAWParserState() [1/2]

MWAWParserState::MWAWParserState | ( | MWAWParserState::Type | type,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Constructor.

## ◆ ~MWAWParserState()

MWAWParserState::~MWAWParserState | ( |  | ) |

destructor

## ◆ MWAWParserState() [2/2]

MWAWParserState::MWAWParserState | ( | MWAWParserState const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ getMainListener()

MWAWListenerPtr MWAWParserState::getMainListener | ( |  | ) |

returns the main listener

Referenced by MWAWParser::getInput(), and ~MWAWParserState().

## ◆ operator=()

MWAWParserState& MWAWParserState::operator= | ( | MWAWParserState const & | orig | ) |
| privatedelete

Referenced by MWAWParser::asciiName().

## Member Data Documentation

## ◆ m_asciiFile

libmwaw::DebugFile MWAWParserState::m_asciiFile

the debug file

Referenced by ClarisWksStruct::readIntZone(), and ClarisWksStruct::readStructZone().

## ◆ m_fontConverter

MWAWFontConverterPtr MWAWParserState::m_fontConverter

the font converter

Referenced by MWAWTextListener::_openSpan(), MWAWPresentationListener::_openSpan(), MWAWGraphicListener::_openSpan(), MWAWSpreadsheetListener::_openSpan(), MWAWTextListener::insertCharacter(), MWAWPresentationListener::insertCharacter(), MWAWGraphicListener::insertCharacter(), MWAWSpreadsheetListener::insertCharacter(), MWAWParserState(), MWAWSpreadsheetListener::openSheetCell(), MWAWTextListener::openTableCell(), MWAWPresentationListener::openTableCell(), MWAWGraphicListener::openTableCell(), and MWAWSpreadsheetListener::openTableCell().

## ◆ m_fontManager

MWAWFontManagerPtr MWAWParserState::m_fontManager

the font manager

Referenced by MWAWTextListener::_changeList(), MWAWPresentationListener::_changeList(), MWAWGraphicListener::_changeList(), MWAWSpreadsheetListener::_changeList(), and MWAWParserState().

## ◆ m_graphicListener

MWAWGraphicListenerPtr MWAWParserState::m_graphicListener

the graphic listener

Referenced by getMainListener().

## ◆ m_header

MWAWHeader* MWAWParserState::m_header

the header

## ◆ m_input

MWAWInputStreamPtr MWAWParserState::m_input

the input

Referenced by ClarisWksStruct::readIntZone(), and ClarisWksStruct::readStructZone().

## ◆ m_kind

MWAWDocument::Kind MWAWParserState::m_kind

the document kind

Referenced by MWAWParserState().

## ◆ m_listManager

MWAWListManagerPtr MWAWParserState::m_listManager

the list manager

Referenced by MWAWTextListener::_changeList(), MWAWPresentationListener::_changeList(), MWAWGraphicListener::_changeList(), MWAWSpreadsheetListener::_changeList(), MWAWTextListener::_getListId(), MWAWPresentationListener::_getListId(), MWAWGraphicListener::_getListId(), MWAWSpreadsheetListener::_getListId(), and MWAWParserState().

## ◆ m_pageSpan

MWAWPageSpan MWAWParserState::m_pageSpan

the actual document size

## ◆ m_presentationListener

MWAWPresentationListenerPtr MWAWParserState::m_presentationListener

the presentation listener

Referenced by getMainListener().

## ◆ m_rsrcParser

MWAWRSRCParserPtr MWAWParserState::m_rsrcParser

the resource parser

## ◆ m_spreadsheetListener

MWAWSpreadsheetListenerPtr MWAWParserState::m_spreadsheetListener

the spreadsheet listener

Referenced by getMainListener().

## ◆ m_textListener

MWAWTextListenerPtr MWAWParserState::m_textListener

the text listener

Referenced by getMainListener().

## ◆ m_type

Type MWAWParserState::m_type

the state type

Referenced by getMainListener().

## ◆ m_version

int MWAWParserState::m_version

the actual version

Referenced by MWAWParserState().

The documentation for this class was generated from the following files:

- MWAWParser.hxx
- MWAWParser.cxx